Send Eligible Users
curl --request POST \
--url https://backend.nebuly.com/api/external/eligible-users \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"users": [
{
"end_user": "<string>",
"tags": {},
"active_from": "<string>",
"active_to": "<string>"
}
]
}
'import requests
url = "https://backend.nebuly.com/api/external/eligible-users"
payload = { "users": [
{
"end_user": "<string>",
"tags": {},
"active_from": "<string>",
"active_to": "<string>"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
users: [
{end_user: '<string>', tags: {}, active_from: '<string>', active_to: '<string>'}
]
})
};
fetch('https://backend.nebuly.com/api/external/eligible-users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{ "users":
[
{
"end_user": "alice@example.com",
"tags": {
"Product Tier": "Premium",
"Country": "US"
},
"active_from": "2026-01-01",
},
{
"end_user": "bob@example.com",
"tags": {
"Product Tier": "Standard",
"Country": "CA"
},
"active_from": "2025-06-23",
"active_to": "2026-01-12"
}
]
}
Eligible Users
Send Eligible Users
POST
/
api
/
external
/
eligible-users
Send Eligible Users
This endpoint allows you to insert one or more new eligible users for your project.
You need an API key to authenticate. See here for more information about the API keys.
A list of user objects to insert.
Hide properties
Hide properties
The identifier used for the end-user you want to insert.
The tags you want that user to have. It’s a dictionary containing an
arbitrary number of key-values tags.
The timestamp of when the user got access to the platform.
The optional timestamp of when the user got revoked access to the
platform.
The list of users that were successfully inserted.
Show properties
Show properties
The identifier used for the end-user you want to insert.
The tags you want that user to have. It’s a dictionary containing an
arbitrary number of key-values tags.
The timestamp of when the user got access to the platform.
The optional timestamp of when the user got revoked access to the
platform.
{ "users":
[
{
"end_user": "alice@example.com",
"tags": {
"Product Tier": "Premium",
"Country": "US"
},
"active_from": "2026-01-01",
},
{
"end_user": "bob@example.com",
"tags": {
"Product Tier": "Standard",
"Country": "CA"
},
"active_from": "2025-06-23",
"active_to": "2026-01-12"
}
]
}
⌘I